> For the complete documentation index, see [llms.txt](https://docs.verge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verge.io/plan-and-deploy/de/implementierungsleitfaden/sizing/nic-driver-list.md).

# Enthaltene Ethernet-Treiber

Referenzliste der Ethernet-Treiber, die mit VergeOS für Host-Knoten gebündelt sind.

VergeOS umfasst als Teil seines Linux-basierten Virtualisierungs-Stacks eine breite Auswahl an Ethernet-Treibern, und diese Seite zeigt die Treiber, die in der Plattform für die neueste VergeOS-Version enthalten sind.

{% hint style="info" %}
**Benötigen Sie Hardware, die nicht angezeigt wird?**

Wenn Sie eine Netzadapter-Familie nicht sehen, die Sie verwenden möchten, wenden Sie sich an **VergeOS-Vertrieb** für eine Beratung.\
Sie können dabei helfen, Ihre Anforderungen zu bewerten und zu bestätigen, ob Ihre Hardware den empfohlenen Bereitstellungspraktiken entspricht.
{% endhint %}

***

## Broadcom

| Familie / Serie                                                                                       | Treiber   |
| ----------------------------------------------------------------------------------------------------- | --------- |
| NetXtreme — BCM5700–5789, BCM570x/571x/572x/575x/576x, BCM5780–5788, BCM5901, BCM5906, BCM5776x–5779x | `tg3`     |
| NetXtreme II GbE — BCM5706, BCM5708, BCM5709, BCM5716                                                 | `bnx2`    |
| NetXtreme II 10/20G — BCM577xx                                                                        | `bnx2x`   |
| NetXtreme-C/E — BCM573xx, BCM574xx, BCM575xx, BCM576xx, BCM5880x                                      | `bnxt_en` |
| BCM57708 (50–800G)                                                                                    | `bng_en`  |
| BCM4401/4402                                                                                          | `b44`     |

***

## Cavium / Marvell Octeon

| Familie / Serie                         | Treiber                                        |
| --------------------------------------- | ---------------------------------------------- |
| ThunderX NIC PF/VF, BGX, XCV            | `nicpf`, `nicvf`, `thunder_bgx`, `thunder_xcv` |
| LiquidIO — CN23XX, CN65XX, CN68XX (+VF) | `liquidio`, `liquidio_vf`                      |
| Octeon-Endpunkt (+VF)                   | `octeon_ep`, `octeon_ep_vf`                    |

***

## Chelsio

| Familie / Serie                                                     | Treiber   |
| ------------------------------------------------------------------- | --------- |
| T3 — T302, T310, T320, S310, S320, N320                             | `cxgb3`   |
| T4/T5/T6 Unified Wire — T4xx, T5xx, T6xx (PF4- und PF0–3-Varianten) | `cxgb4`   |
| T4/T5/T6 virtuelle Funktionen                                       | `cxgb4vf` |
| T1/T2 — T210 Protocol Engine und frühe Adapter                      | `cxgb`    |

***

## Intel

| Familie / Serie                                                              | Treiber              |
| ---------------------------------------------------------------------------- | -------------------- |
| PRO/100 — 8255x, 82562, ICH3–ICH5 LOM                                        | `e100`               |
| PRO/1000 PCI/PCI-X — 82542, 82543–82547                                      | `e1000`              |
| PCIe GbE — 82571–82574, 82583, ICH8–ICH10 LOM, 82577/78/79, I217, I218, I219 | `e1000e`             |
| Server GbE — 82575, 82576, 82580, I210, I211, I350, I354, DH8900CC           | `igb` (+`igbvf`)     |
| 2,5G — I225, I226, Killer E3100X                                             | `igc`                |
| 10G — 82598, 82599, X520, X540, X550, X552, X553, X557, E610                 | `ixgbe` (+`ixgbevf`) |
| 10/25/40G — X710, XL710, XXV710, X722                                        | `i40e` (+`iavf`)     |
| 25/100/200G — E810, E822, E823, E825, E830, E835                             | `ice`                |
| IPU / Infrastruktur-Datenpfad-Funktion                                       | `idpf`               |
| FM10000 Switch-Hostschnittstelle                                             | `fm10k`              |

***

## Marvell / SysKonnect

| Familie / Serie                                          | Treiber |
| -------------------------------------------------------- | ------- |
| Yukon II — 88E80xx PCIe/PCI-X, SK-9Exx, SK-9Sxx, DGE-5xx | `sky2`  |
| Genesis / Yukon — 88E8001, SK-98xx, 3c940                | `skge`  |

***

## Mellanox / NVIDIA Networking

| Familie / Serie                                                            | Treiber          |
| -------------------------------------------------------------------------- | ---------------- |
| ConnectX-2, ConnectX-3, ConnectX-3 Pro (+VFs)                              | `mlx4_core`      |
| Connect-IB, ConnectX-4/4 Lx, -5/5 Ex, -6/6 Dx/6 Lx, -7, -8, -9, -10 (+VFs) | `mlx5_core`      |
| Spectrum-, Spectrum-2-, -3-, -4-Switch-ASICs                               | `mlxsw_spectrum` |

***

## QLogic

| Familie / Serie                   | Treiber   |
| --------------------------------- | --------- |
| FastLinQ QL41000, QL45000 (+VFs)  | `qede`    |
| cLOM8214, ISP8324 konvergiert     | `qlcnic`  |
| ISP4022, ISP4032                  | `qla3xxx` |
| BCM57840 (unter der Marke QLogic) | `bnx2x`   |

***

## Realtek

| Familie / Serie                                                                        | Treiber             |
| -------------------------------------------------------------------------------------- | ------------------- |
| RTL8168/8169/811x GbE, RTL8125 2,5G, RTL8126 5G, RTL8127 10G, Killer E2600/E3000/E5000 | `r8169`             |
| RTL8139 / RTL8129 Fast Ethernet                                                        | `8139too`, `8139cp` |
| Automotive-Ethernet-Switch RTL90xx                                                     | `rtase`             |

***

## Virtuell / Paravirtuell

| Familie / Serie                                                             | Treiber      |
| --------------------------------------------------------------------------- | ------------ |
| virtio-net (paravirtuell, für verschachtelte/virtualisierte Installationen) | `virtio_net` |

***

{% hint style="info" %}
**Release-Variabilität**

Die Verfügbarkeit der Treiber kann sich zwischen VergeOS-Releases ändern, da sich der Linux-Kernel weiterentwickelt.\
Diese Liste zeigt die Treiber, die zum Build-Zeitpunkt für die neueste Version enthalten waren.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verge.io/plan-and-deploy/de/implementierungsleitfaden/sizing/nic-driver-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
